Tue Feb  2 00:04:39 2010  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* support/template.m4: JF のメールアドレスを変更.

Sat Jan  2 20:53:18 2010  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* support/template.m4: Updated copyright year.

Thu Apr  9 20:45:31 2009  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* support/tree-template.m4: kernel-docs-2.2 での更新を反映.
	* support/template.m4: kernel-docs-2.2 での更新を反映.
	* support/kdoc.pl: kernel-docs-2.2 での更新を反映.

Wed Jan  7 20:38:22 2009  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* support/template.m4: Updated copyright year.

Sat Oct 18 20:39:13 2008  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* smart-config.txt: Added.
	* smart-config.txt.info: Added.

Fri Oct 17 20:21:11 2008  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* tipar.txt: Added.
	* tipar.txt.info: Added.
	* xterm-linux.xpm: Added.
	* xterm-linux.xpm.info: Added.

Fri Feb 23 23:56:29 2007  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* support/template.m4: index.html の文書ツリーにも
	各文書のディレクトリ名が表示されてしまうので、ヘッダの
	<title>からディレクトリ名を削除.

Fri Feb  2 20:48:30 2007  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* support/template.m4: 文書のタイトルにディレクトリ名を追加.

Tue Apr 18 22:03:46 2006  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* support/tree-template.m4: <div class="copyright">を
	<div class="date">に.

Fri Sep  2 22:38:32 2005  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* support/tree-template.m4: kernel-docs-2.6 からバックポート.
	* support/template.m4: 同上.

Wed Jul 14 14:32:47 2004  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* arm/SA1100/PCMCIA: added [JF:18744].
	* arm/SA1100/PCMCIA.info: added.

Mon Jul  5 18:28:15 2004  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* support/tree-template.m4: fix a typo.

Thu Jul  1 10:42:34 2004  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* support/template.m4: kernel-docs-2.6 からバックポート.

Mon Feb 16 21:51:46 2004  TAKEI Nobumitsu  <takei@webmasters.gr.jp>

	* networking/baycom.txt: 助詞の重複削除 ([JF:18413])
	* mandatory.txt: ditto.

Sun Jan 25 00:15:10 2004  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* Makefile: backport from kernel-docs-2.6.
	* support/tree-template.m4: ditto.
	* support/topdir.m4: ditto.
	* support/template.m4: ditto.
	* support/kdoc.pl: ditto.
	* support/tree.pl: ditto.
	* support/tree.pl.diff: ditto.

Mon Jan 19 06:32:51 2004  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* support/template.m4: expand copyright into 2004.

Thu Nov 13 10:33:28 2003  TAKEI Nobumitsu  <takei@webmasters.gr.jp>

	* networking/bonding.txt: update [JF:18261].

Tue Nov 11 11:11:47 2003  TAKEI Nobumitsu  <takei@webmasters.gr.jp>

	* networking/bonding.txt: typo fix.

Tue Nov 11 10:59:19 2003  TAKEI Nobumitsu  <takei@webmasters.gr.jp>

	* networking/bonding.txt: delete original part & typo fix.

Tue Nov 11 10:03:46 2003 Chie Nakatani <jeanne@mbox.kyoto-inet.or.jp>

	* networking/bonding.txt [JF:18240]
        * networking/bonding.txt.info
	
Tue Apr 15 20:16:24 2003  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* dnotify.txt: added [JF:17981].
	* dnotify.txt.info: ditto.

Fri Jan 24 20:02:13 2003  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* networking/tuntap.txt: updated.
	* networking/tuntap.txt.info: ditto.

Wed Jan 15 16:01:07 2003 Chie Nakatani <jeanne@mbox.kyoto-inet.or.jp>

	* README.DAC960:added
	* README.DAC960.info:added [JF:17765]

Wed Jan  1 20:12:24 2003  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* support/template.m4: update copyright date to 2003.

Tue Oct 22 16:39:17 2002  Chie Nakatani <jeanne@mbox.kyoto-inet.or.jp>
	
	* LVM-HOWTO:added
	* LVM-HOWTO.info:added
	[JF:17499]
	
Fri Oct 11 22:07:26 2002  Chie Nakatani <jeanne@mbox.kyoto-inet.or.jp>

	*cdrom/aztcd :added
	*cdrom/aztcd.info :added
        [JF:17467]
	
Fri Oct 11 09:39:53 2002  Chie Nakatani <jeanne@mbox.kyoto-inet.or.jp>

	*networking/TODO :added
	*networking/TODO.info :added
	*networking/irda.txt :added
	*networking/irda.txt.info :added
	*networking/ax25.txt :added
	*networking/ax25.txt.info :added
	[JF:17456]

Fri Oct  4 20:09:34 2002  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* networking/bridge.txt.info: renamed from bridge.info.
	* networking/atm.txt.info: renamed from atm.info.
	
Fri Oct 04 10:06:04 2002  Chie Nakatani <jeanne@mbox.kyoto-inet.or.jp>

        *networking/atm.info  atm.txt :add 
	           /bridge.info  bridge.txt: add 
	[JF:17413] 
	
Mon Sep 30 19:46:39 2002  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* IRQ-affinity.txt: added.
	* IRQ-affinity.txt.info: added.
	[JF:17398]

Mon Apr 15 20:18:42 2002  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* arm/SA1100/GraphicsClient: added.
	* arm/SA1100/GraphicsClient.info: added.
	* arm/SA1100/GraphicsMaster: added.
	* arm/SA1100/GraphicsMaster.info: added.
	[JF:16481]	

Wed Mar 20 19:33:45 2002  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* rtc.txt: added.
	* rtc.txt.info: added.
	* arm/SA1100/FreeBird: added.
	* arm/SA1100/FreeBird.info: added.
	* arm/SA1100/LART: added.
	* arm/SA1100/LART.info: added.
	* arm/SA1100/PLEB: added.
	* arm/SA1100/PLEB.info: added.
	* powerpc/zImage_layout.txt: added.
	* powerpc/zImage_layout.txt.info: added.
	[JF:16346]	

Sat Mar  9 20:08:52 2002  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* arm/SA1100/ADSBitsy: added.
	* arm/SA1100/ADSBitsy.info: added.
	* arm/SA1100/Brutus: added.
	* arm/SA1100/Brutus.info: added.
	* arm/SA1100/CERF: added.
	* arm/SA1100/CERF.info: added.
	* arm/SA1100/HUW_WEBPANEL: added.
	* arm/SA1100/HUW_WEBPANEL.info: added.
	* arm/SA1100/Itsy: added.
	* arm/SA1100/Itsy.info: added.
	* arm/SA1100/Victor: added.
	* arm/SA1100/Victor.info: added.
	* arm/SA1100/serial_UART: added.
	* arm/SA1100/serial_UART.info: added.
	[JF:16291]
	
Thu Feb 28 20:35:33 2002  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* usb/usb-help.txt: added.
	* usb/usb-help.txt.info: added.
	* arm/SA1100/nanoEngine: added.
	* arm/SA1100/nanoEngine.info: added.
	* arm/SA1100/Pangolin: added.
	* arm/SA1100/Pangolin.info: added.
	[JF:16262]
	* kbuild/config-language.txt: updated.
	* kbuild/config-language.txt.info: updated.
	[JF:16261]
	* support/README: 現状にあわせる.
	
Tue Feb 12 20:48:00 2002  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* support/tree.pl.diff: オリジナルの tree.pl との差分を保存.

Sat Feb  9 05:00:00 2002  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* support/tree.pl: tree.pl version 1.19 ベースに更新.

Fri Feb  8 05:52:31 2002  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* support/template.m4: copyright を 2002 に延長.

	* Makefile ($(INDEXHTML)): $(CURDIR) を渡すように.
	* support/tree.pl: $baseurl = ".", $offline = 0,
	@excludefiles のワイルドカードをちょっと変更.
	* support/kdoc.pl: use File::Basename, サブディレクトリの
	サブディレクトリにある文書に対応.

Thu Feb  7 19:57:51 2002  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* arm/SA1100/Tifon: added.
	* arm/SA1100/Tifon.info: added.
	* arm/SA1100/Yopy: added.
	* arm/SA1100/Yopy.info: added.
	* arm/SA1100/empeg: added
	* arm/SA1100/empeg.info: added.
	[JF:16130]
	
	* arm/Setup: added [JF:16123].
	* arm/Setup.info: added.
	* serial-console.txt: added [JF:16128].
	* serial-console.txt.info: added.
	* kernel-doc-nano-HOWTO.txt: added [JF:16113].
	* kernel-doc-nano-HOWTO.txt.info: added.

Wed Feb  6 19:37:16 2002  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* Makefile: ../kernel-docs-2.2/Makefile の更新に追従.

Sun Feb  3 19:28:53 2002  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* networking/filter.txt: added.
	* networking/filter.txt.info: added.

Tue Jan 29 20:07:08 2002  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* java.txt: added [JF:15976].
	* java.txt.info: added.
	* nfsroot.txt: added [JF:15999].
	* nfsroot.txt.info: added.
	* nmi_watchdog.txt: added [JF:15975].
	* nmi_watchdog.txt.info: added.
	* arm/Netwinder: added [JF:15973].
	* arm/Netwinder.info: added.

Wed Jan 16 19:55:57 2002  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* VGA-softcursor.txt: added [JF:15903].
	* VGA-softcursor.txt.info: added.
	* mandatory.txt: added [JF:15909].
	* mandatory.txt.info: added.
	* nbd.txt: added [JF:15907].
	* nbd.txt.info: added.
	
Tue Jan  8 14:31:11 2002  NAKANO Takeo  <nakano@apm.seikei.ac.jp>

	* i386/boot.txt, i386/boot.txt.info: updated. [JF:15829]

Sat Dec 29 19:42:57 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* filesystems/coda.txt: added [JF:15759].
	* filesystems/coda.txt.info: added.
	* kernel-parameters.txt: added [JF:15760].
	* kernel-parameters.txt.info: added.

Tue Dec 11 20:38:52 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* networking/ip-sysctl.txt: added [JF:15579].
	* networking/ip-sysctl.txt.info: added.
	* networking/de4x5.txt: added [JF:15583].
	* networking/de4x5.txt.info: added.
	* filesystems/ext2.txt: added [JF:15584].
	* filesystems/ext2.txt.info: added.
	* cciss.txt: added [JF:15585].
	* cciss.txt.info: added.

Thu Dec  6 20:24:12 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* usb/bluetooth.txt: added [JF:15553].
	* usb/bluetooth.txt.info: ditto.
	* kbuild/makefiles.txt: added [JF:15552].
	* kbuild/makefiles.txt.info: ditto.
	
Thu Nov 29 19:31:30 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* mkdev.cciss: added [JF:15498].
	* mkdev.cciss.info: ditto.
	* mkdev.ida: added [JF:15500].
	* mkdev.ida.info: ditto.
	* cpqarray.txt: added [JF:15499].
	* cpqarray.txt.info: ditto.

Mon Nov 26 19:54:52 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* SubmittingDrivers: added [JF:15438].
	* SubmittingDrivers.info: ditto.

Thu Nov  8 19:02:31 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* filesystems/cramfs.txt: added [JF:15313].
	* filesystems/cramfs.txt.info: ditto.
	* filesystems/udf.txt: added [JF:15314].
	* filesystems/udf.txt.info: ditto.
	
Fri Nov  2 19:49:30 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* mtrr.txt: added [JF:15294].
	* mtrr.txt.info: added.
	
Thu Oct 18 20:27:05 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* networking/Configurable: added [JF:15229].
	* networking/Configurable.info: added.
	* filesystems/bfs.txt: updated [JF:15226].
	* filesystems/bfs.txt: ditto.
	
Wed Oct 10 19:41:28 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* filesystems/romfs.txt: added [JF:15188].
	* filesystems/romfs.txt.info: added.
	* networking/3c505.txt: added [JF:15189].
	* networking/3c505.txt.info: added.
	* filesystems/vfs.txt: updated [JF:15193].
	* filesystems/vfs.txt.info: updated.

Thu Oct  4 19:24:53 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* filesystems/vfs.txt: added [JF:15157].
	* filesystems/vfs.txt.info: added.
	* filesystems/vfat.txt: added [JF:15155].
	* filesystems/vfat.txt.info: added.
	* filesystems/bfs.txt: added [JF:15154].
	* filesystems/bfs.txt.info: added.
	
Wed Sep 26 23:39:04 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* filesystems/isofs.txt: added [JF:15125].
	* filesystems/isofs.txt: added.
	* filesystems/hpfs.txt: added [JF:15128].
	* filesystems/hpfs.txt.info: added.
	
Fri Sep 21 22:30:12 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* filesystems/fat_cvf.txt: added [JF:15114].
	* filesystems/fat_cvf.txt.info: added.
	* filesystems/umsdos.txt: added [JF:15115].
	* filesystems/umsdos.txt.info: added.
	
Fri Aug 24 20:01:59 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* filesystems/affs.txt: added [JF:14941].
	* filesystems/affs.txt.info: added.

Sat Aug 18 13:43:02 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* filesystems/ntfs.txt: Update 2.4.7 [JF:14882].
	* filesystems/ntfs.txt.info: Ditto.

Mon Aug 13 23:05:18 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

        * filesystems/ntfs.txt.info (CONT): 「ファイルシステム」削除
        [JF:14835].
        * filesystems/ufs.txt.info (CONT): 同上.
        * filesystems/00-INDEX: 同上.

Fri Aug 10 20:27:48 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* filesystems/ntfs.txt: added [JF:14813].
	* filesystems/ntfs.txt.info: added.

Sun Aug  5 22:26:32 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* support/kdoc.pl: HTML 版の冒頭にバージョンと翻訳日時を表示
	[JF-gofer:01746].
	* support/template.m4: 同上.

Wed Aug  1 19:46:18 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* Makefile: SRC を自動で生成するように変更 [JF-gofer:01759].

Tue Jul 31 13:00:22 2001  Jun Morimoto  <morimoto@xantia.citroen.org>

	* networking/00-INDEX: released [JF:14765]
	* networking/00-INDEX.info: released [JF:14765]
	* filesystems/adfs.txt: released [JF:14764]
	* filesystems/adfs.txt.info: released [JF:14764]
	* filesystems/ufs.txt: released [JF:14763]
	* filesystems/ufs.txt.info: released [JF:14763]
	* Makefile: added filesystems/adfs.txt.info, filesystems/ufs.txt,
	networking/00-INDEX to target

Mon Jul 30 16:01:44 2001  Jun Morimoto  <morimoto@xantia.citroen.org>

	* kbuild/config-language.txt: released [JF:14754]
	* kbuild/config-language.txt.info: released [JF:14754]
	* kbuild/bug-list.txt: released [JF:14754]
	* kbuild/bug-list.txt.info: released [JF:14754]
	* kbuild/00-INDEX: released [JF:14754]
	* kbuild/00-INDEX.info: released [JF:14754]
	* Makefile: added rules for kbuild/config-language.txt,
 	kbuild/bug-list.txt, kbuild/00-INDEX [JF:14754]

Tue Jul 24 15:51:25 2001  Jun Morimoto  <morimoto@xantia.citroen.org>

	* Makefile: sgi-visws.txt & filesystems/00-INDEX have released
 	[JF:14723]
	* sgi-visws.txt: released [JF:14725]
	* sgi-visws.txt.info: released [JF:14725]
	* filesystems/00-INDEX: released [JF:14723]
	* filesystems/00-INDEX.info: released [JF:14723]

Tue Jul 17 03:05:08 2001  TAKEI Nobumitsu  <takei@webmasters.gr.jp>

	* Makefile: 2.4 側の sgi-visws.txt を target から削除

Tue Jul 17 02:42:15 2001  TAKEI Nobumitsu  <takei@webmasters.gr.jp>

	* sgi-visws.txt: 削除
	* sgi-visws.txt.info: 削除

Tue Jul 17 02:10:42 2001  TAKEI Nobumitsu  <takei@webmasters.gr.jp>

	* README.moxa: released [JF:14684]
	* README.moxa.info: released [JF:14684]
	* filesystems/sysv-fs.txt: released [JF:14682]
	* filesystems/sysv-fs.txt.info: released [JF:14682]
	* networking/ipddp.txt: released [JF:14683]
	* networking/ipddp.txt.info: released [JF:14683]
	* sgi-visws.txt: released [JF:14685]
	* sgi-visws.txt.info: released [JF:14685]
	* Makefile : added README.moxa, filesystems/sysv-fs.txt,
	networking/ipddp.txt and sgi-visws.txt to target
	([JF:14684] [JF:14682] [JF:14683] [JF:14685])

Fri Jul 13 09:15:37 2001  Jun Morimoto  <morimoto@xantia.citroen.org>

	* i386/boot.txt: released [JF:14651]
	* i386/boot.txt.info: released [JF:14651]
	* kbuild/commands.txt: released [JF:14652]
	* kbuild/commands.txt.info: released [JF:14652]
	* Makefile: added i386/boot.txt and kbuild/commands.txt to target
 	[JF:14651]

Fri Jul  6 20:22:17 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* Makefile: filesystems/ncpfs.txt, networking/cops.txt,
	ia64/efirtc.txt, ia64/README added.

	* filesystems/ncpfs.txt: added [JF:14599].
	* filesystems/ncpfs.txt.info: added.
	* networking/cops.txt: added [JF:14597].
	* networking/cops.txt.info: added.
	* ia64/efirtc.txt: added [JF:14596].
	* ia64/efirtc.txt.info: added.
	* ia64/README: added [JF:14595].
	* ia64/README.info: added.
	
Tue Jul  3 19:42:27 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* cdrom/sjcd.info: CONT: ドライブ -> ドライバ.

Fri Jun 29 21:21:20 2001  Jun Morimoto  <morimoto@xantia.citroen.org>

	* filesystems/smbfs.txt: released [JF:14507]
	* filesystems/smbfs.info: released [JF:14507]
	* networking/ltpc.txt: released [JF:14506]
	* networking/ltpc.txt.info: released [JF:14506]

Fri Jun 15 20:50:51 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* exception.txt: コメントアウトされた原文を削除.

Thu Jun 14 13:35:39 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* exception.txt: added [JF:14361].
	* exception.txt.info: added.

	* i386/zero-page.txt: added [JF:14362].
	* i386/zero-page.txt.info: added.

	* Makefile: exception.txt, i386/zero-page.txt added.
	
Wed Jun  6 13:38:34 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* networking/sk98lin.txt: added [JF:14297].
	* networking/sk98lin.txt.info: added.
	* Makefile: networking/sk98lin.txt added.
	
Thu May 10 23:55:02 2001  TAKEI Nobumitsu  <takei@webmasters.gr.jp>

	* pm.txt: 文字コードを EUC に. ([JF-gofer:01495])
	* pm.txt.info: 同上.

Thu May  10 11:12:02 2001 Chie Nakatani <jeanne@mbox.kyoto-inet.or.jp>

	* pm.txt : added.
	
Sun May  6 09:03:07 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* networking/tuntap.txt: updated.
	* networking/tuntap.txt.info: updated.

Sun Mar 25 21:57:32 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* networking/tuntap.txt: added.
	* networking/tuntap.txt.info: added.
	* Makefile: networking/tuntap.txt added.

Thu Feb 22 12:59:12 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* networking/decnet.txt.info: BVER: 2.4.0 -> 2.4.2

Thu Feb 22 11:09:08 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* networking/decnet.txt: added [JF:13329].
	* Makefile: networking/decnet.txt added.

Sun Feb 18 05:20:54 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* vm/numa: added [JF:13278].
	* Makefile: vm/numa added.
	
Tue Jan 30 00:17:50 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* support/tree-template.m4: _HOME_PAGE を定義.

Mon Jan 29 17:41:28 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* support/tree.pl: @excludefiles の '/kernel-docs-2.2/' を
	'/kernel-docs-2.4/' に変更. '/info.jf/' を削除.

Sun Jan 28 22:10:00 2001  Yuji Senda  <ysenda@pop01.odn.ne.jp>

	* networking/baycom.txt added
	* networking/soundmodem.txt added [JF:13065]
 
Tue Jan 23 18:48:21 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

       * Makefile: mkdir -p $(@D)/../images 追加, 
       cp -p $(IMGSRC) $(@D)/../images 復活.

Mon Jan 22 18:51:05 2001  Masanori Kobayasi  <zap03216@nifty.ne.jp>

	* *: 2.2.18 → 2.4.0 で更新されていない文書を
	../kernel-docs-2.2 から copy.
	* support/*: ../kernel-docs-2.2 から copy.

